PrompticPromptic

List experiments

GET
/experiments

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Query Parameters

limit?integer
Default50
offset?integer
Default0
component_id?string
Formatuuid
status?string

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/experiments"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "targetModel": "string",
      "provider": "string",
      "aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e",
      "taskType": "string",
      "optimizer": "string",
      "experimentStatus": "string",
      "promptFormat": "string",
      "initialPromptMessages": [
        {
          "role": "string",
          "content": "string"
        }
      ],
      "inputVariables": [
        {
          "name": "string",
          "column": "string"
        }
      ],
      "hyperparameters": {
        "epochs": 0,
        "numFewShots": 0,
        "trainSplitRatio": 0
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
{
  "error": "string"
}